package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.WsStoneMap;
import com.ruoyi.system.domain.other.WsStoneMapExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WsStoneMapMapper {
    long countByExample(WsStoneMapExample example);

    int deleteByExample(WsStoneMapExample example);

    int deleteByPrimaryKey(String id);

    int insert(WsStoneMap record);

    int insertSelective(WsStoneMap record);

    List<WsStoneMap> selectByExample(WsStoneMapExample example);

    WsStoneMap selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") WsStoneMap record, @Param("example") WsStoneMapExample example);

    int updateByExample(@Param("record") WsStoneMap record, @Param("example") WsStoneMapExample example);

    int updateByPrimaryKeySelective(WsStoneMap record);

    int updateByPrimaryKey(WsStoneMap record);
}
